Learn more on how to stay protected from the latest Ransomware Pandemic
Check Point Advisories

Digium Asterisk Skinny Channel Driver Heap Buffer Overflow (CVE-2012-2415)

Check Point Reference: CPAI-2012-278
Date Published: 20 Aug 2012
Severity: High
Last Updated: 14 Feb 2016
Source:
Industry Reference:CVE-2012-2415
Protection Provided by:

Security Gateway
R80, R77, R75

Who is Vulnerable?
Vulnerability Description A heap buffer overflow vulnerability has been reported in Digium Asterisk. The vulnerability is due to a bounds checking error while processing certain events in the Skinny channel driver. A remote attacker can exploit this vulnerability by sending a sequence of messages to the target. Successful exploitation would allow an attacker to execute code on the target system.

Protection Overview

This protection will detect and block a sequence of messages sent to the server.

In order for the protection to be activated, update your Security Gateway product to the latest IPS update. For information on how to update IPS, go to SBP-2006-05, click on Protection tab and select the version of your choice.

Security Gateway R80 / R77 / R75

  1. In the IPS tab, click Protections and find the Digium Asterisk Skinny Channel Driver Heap Buffer Overflow protection using the Search tool and Edit the protection's settings.
  2. Install policy on all Security Gateways.

This protection's log will contain the following information:

Attack Name:  VoIP Enforcement Violation.
Attack Information:  Digium Asterisk Skinny Channel Driver heap buffer overflow

×
  Feedback
This website uses cookies to ensure you get the best experience. Got it, Thanks! MORE INFO